ST_SRID
Prev | 12.4. Raster Accessors | Next

## Name

ST_SRID — Returns the spatial reference identifier of the raster as defined in spatial_ref_sys table.

## Synopsis

`integer ST_SRID(`raster rast`)`;

## Description

Returns the spatial reference identifier of the raster object as defined in the spatial_ref_sys table.

From PostGIS 2.0+ the srid of a non-georeferenced raster/geometry is 0 instead of the prior -1.

## Examples

    SELECT ST_SRID(rast) As srid
    FROM dummy_rast WHERE rid=1;

    srid
    ----------------
    0

## See Also

Section 4.5, “Spatial Reference Systems”, ST_SRID

Prev | Up | Next
ST_SkewY | Home | ST_Summary